1 (edited by taris_louis 2020-04-01 13:50:16)

Topic: Oracle Linux 7.3 and installing PHP 7.0

I'm getting the message below when I do a php -v for php extension php-gd.
I installed this from remi-php70. And it installed just fine. libraqm-0.7.0-4.el7.x86_64 is also installed.
Any help is appreciated. Thanks.

PHP Warning:  PHP Startup: Unable to load dynamic library '/usr/lib64/php/modules/gd.so' - /lib64/libraqm.so.0: undefined symbol: hb_ft_font_set_load_flags in Unknown on line 0

I did a yum update and the error is now gone.

Re: Oracle Linux 7.3 and installing PHP 7.0

Cannot reproduce on a fully updated CentOS 7.7

#  php -v
PHP 7.0.33 (cli) (built: Mar 17 2020 08:28:33) ( NTS )
Copyright (c) 1997-2017 The PHP Group
Zend Engine v3.0.0, Copyright (c) 1998-2017 Zend Technologies


# php --ri gd

gd

GD Support => enabled
GD headers Version => 2.2.5
GD library Version => 2.3.0
FreeType Support => enabled
FreeType Linkage => with freetype
FreeType Version => 2.8.0
GIF Read Support => enabled
GIF Create Support => enabled
JPEG Support => enabled
libJPEG Version => 6b
PNG Support => enabled
libPNG Version => 1.5.13
WBMP Support => enabled
XPM Support => enabled
libXpm Version => 30411
XBM Support => enabled
WebP Support => enabled

Directive => Local Value => Master Value
gd.jpeg_ignore_warning => 0 => 0
Desktop: Fedora 31 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 32 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: Oracle Linux 7.3 and installing PHP 7.0

Ah.  I missed the title

> Oracle Linux 7.3

You need harfbuzz-1.7.5-2.el7.x86_64 (from 7.6),
Version 0.9.36 (in 7.3) is definitely too old.

Sorry, but as explained in the FAQ https://blog.remirepo.net/pages/English-FAQ#deps
I cannot suport old outdated distribution.

Please update.


P.S. and please also remember that PHP 7.0 is EOL, and you should consider updating to a supported release (7.2+)
https://www.php.net/supported-versions.php

Desktop: Fedora 31 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 32 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test

Re: Oracle Linux 7.3 and installing PHP 7.0

I did a yum update and the error is now gone. Thx

Re: Oracle Linux 7.3 and installing PHP 7.0

smile

Desktop: Fedora 31 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 32 x86_64 + rpmfusion + remi (SCL only)
Hosting Server: CentOS 6.10 x86_64 with EPEL, remi, remi-php72 and remi-php72-test